Subject: P1394> RE: [PP1394:00042] PWG Network sub-group minutes

From: Fumio Nagasaka <[email-masked]>
Date: Sun, 22 Jun 1997 04:48:59 +0900

Alan Berkema wrote:
* Shimura san of Cannon asked a question about the 1284.4 over SBP-2 
* presentation.
* He wanted to know if bi-directional communication could be 
* accomplished with the initiator performing 2 logins, one for each 
* direction. This is an alternative to the idea presented where the 
* Initiator logs into the Target for outbound communication and the 
* Target logs into the Initiator for inbound communication.
* This idea requires further investigation and discussion

Actually we don't need to operate 2 logins for bi-directional communication.
SBP-2 is designed to cover HDD, so we can operate read/write within
single login. If we use function code = 4 in Management ORB, it does means
we can do any command set dependent operation. Thus our target device
may return an address offset for reverse channel output buffer, according to
the specification. I guess 2 logins for bi-directional communications bring
us difficulties to design 1284.4 over SBP-2.

-------------------------------
Fumio Nagasaka
Epson Software Development Laboratory Inc.
Tel +81 268 25 4111,  Fax +81 268 25 4627
E-mail to [email-masked]

-----Original Message-----
From:	[email-masked] [SMTP:[email-masked]]
Sent:	Saturday, June 21, 1997 5:46 AM
To:	pp1394 ML
Subject:	[PP1394:00042] PWG Network sub-group minutes

Item Subject: cc:Mail Text
12 June 1997

Minutes for the ad-hoc 1394 Network PWG meeting.

Agenda:
- What do we mean by networking over 1394?
- Status of IP1394
- 1284.4 over SBP-2
- Issues

- What do we mean by networking over 1394?
--------------------------------------------------------

This question deserves considerable thought and we welcome additional opinions. 
The following is only my opinion.

Networking over 1394 probably refers to the IP1394 effort. Once IP is truly 
encapsulated in 1394 packets, Networking over 1394 in the Local Area should work
very similar to how it works over Ethernet today. Networking in a Wide Area 
would require 1394 to network routers.

In small work groups 1284.4 over SBP could be viewed as a network, since devices
could have multiple connections.

- Status of IP1394

IP over 1394 started with work by DAVIC. DAVIC decided to pass the IP over 1394 
standards work to the IETF. The IETF held a Birds Of a Feather meeting at the 
IETF quarterly meeting in April 1997. The IETF decided three was sufficient 
interest to form a working group with Myron Hattig of Intel as one of the 
co-chairs. IP1394 is still waiting to be approved as an official working group.

To subscribe to the IP1394 reflector send e-mail to: 
       [email-masked] 
       no subject, a one line message of "subscribe ip1394".
There are currently 3 proposals.

The DAVIC proposal, the Microsoft proposal and a proposal by Peter Johansson.

The pre-approved charter of the IETF IP1394 working is provided below.

     ==========================================================================
          IP1394 WORKING GROUP CHARTER

          The goal of the IP1394 Working Group is to define IP networking 
     over 
          1394 Serial Bus. 1394 Serial Bus (1394) is specified by IEEE Std 
          1394-1995 and the draft standard IEEE P1394a.  The IP1394 working 
     group 
          will define facilities for the 1394 asynchronous and isochronous 
          transmission of unicast, broadcast and multicast IP packets.
          
          The IP1394 working group is utilizing 1394 facilities to provide 
     the 
          functions similar to other data link networks residing between IP 
     and 
          physical layer protocols. Unlike most other data link networks, 
     1394 
          is capable of both asynchronous and isochronous transmission.  
     These 
          capabilities have a significant impact on the usage of IP over 
     1394. 
          The IP1394 working group will prepare an architecture document 
     and 
          appropriate protocol documents for the usage of these unique link 
          layer properties.  Both IPv4 and IPv6 will be addressed, although 
     in 
          separate documents.
          
          The IP1394 working group intends for the specification to be 
     utilized 
          by devices with a broad range of capabilities. The devices are 
     not 
          limited to but are expected to include both traditional equipment 
     such 
          as computers, as well as equipment that has not been 
     traditionally 
          networked such as consumer electronics (e.g. TVs & VCRs).
          
          The IP1394 working group will maintain informal liaison with 
     other 
          standards groups and industry organizations. Liaison will be 
          accomplished by the circulation of drafts and the submission of 
     brief 
          reports to the other groups.
          
          The IP1394 working group is chartered to deliver the documents 
          described below. Some of these documents may depend upon 
     facilities not 
          currently standardized in 1394. If the working group considers it 
          advisable to request modification or extension of existing IEEE 
          standards or IEEE standards in development, it will make 
          recommendation(s) to the relevant IEEE working group. The IP1394 
          working group will not request documents that depend upon such 
     changes 
          to be advanced to standards track RFCs until the changes have 
     been 
          endorsed by the relevant IEEE working group(s).
          
          The deliverable documents are as follows:
          
          - A document listing two groups. IEEE groups for which the IP1394 
          working group may need approval. Groups that benefit from 
     informal 
          liaisons. These lists are to be reviewed at regular intervals.
          
          - An architecture document detailing the interactions between 
     1394 
          asynchronous and isochronous transmissions, resource reservation 
     and 
          multicast.
          
          - An IPv4 over 1394 document covering the encapsulation and 
     framing of 
          IPv4 unicast, multicast and broadcast packets over asynchronous 
     and 
          isochronous 1394, including address resolution.
          
          - An IPv6 over 1394 document covering the encapsulation and 
     framing of 
          IPv6 unicast, multicast and broadcast packets over asynchronous 
     and 
          isochronous 1394, including neighbor discovery.
          
          - A media-specific MIB for managing 1394 interfaces.
          
          Goals and Milestones:
          
          May 97
          Create list of liaisons and dependent IEEE 1394 working groups.
          Meet to discuss pros/cons of proposals for Internet-Draft on IPv4 
     over 
          1394 & interaction architecture.
          
          Jun 97
          Meet to reduce number of proposals based on pros/cons presented 
     for 
          Internet-Draft on IPv4 over 1394 & interaction architecture.
          
          July 97
          Meet to reduce number of proposals Internet-Draft on IPv4 over 
     1394 & 
          interaction architecture.
          
          Aug 97
          Update list of liaisons and dependent IEEE 1394 working groups.
          Post Internet-Draft listing all remaining proposals on IPv4 over 
     1394 
          & interaction architecture.
          Meet at IETF to discuss two drafts.
          
          Sep 97
          Update final list of liaisons and dependent IEEE 1394 working 
     groups 
          for IPv4 & Interaction Arch last call documents.
          Meet to finalize Internet-Draft on IPv4 over 1394 & interaction 
          architecture.
          Post Internet-Draft on IPv4 over 1394 & interaction architecture 
     for 
          last call.
          Create schedule for discussing 1394 MIB and IPv6. Target dates 
     are 
          June 98 for last call, Dec 98 for submission to Standards Track 
     RFC.
          
          Dec 97
          Meet to record implementation experiences with Internet-Draft on 
     IPv4 
          & interaction architecture.
          Discuss IPv6 and MIB.
          
          April 98
          Meet to incorporate feed back from implementations into IPv4 and 
          interaction architecture drafts.
          Get official feedback from appropriate IEEE 1394 working groups. 
          Submit IPv4 and Arch documents for Standards Track RFC.
          Discuss IPv6 and MIB.
          
          June 98
          Post 1394 MIB and IPv6 doc for last call.
          
          Dec 98
          Post 1394 MIB and IPv6 doc for Standards Track RFC.
          
     ======================================================================
     ====
     
     - 1284.4 over SBP-2
     -------------------------
     
     Shimura san of Cannon asked a question about the 1284.4 over SBP-2 
     presentation.
     He wanted to know if bi-directional communication could be 
     accomplished with the initiator performing 2 logins, one for each 
     direction. This is an alternative to the idea presented where the 
     Initiator logs into the Target for outbound communication and the 
     Target logs into the Initiator for inbound communication.
     This idea requires further investigation and discussion.

     - Issues
     --------
     
     1284.4 over SBP-2 issues will be handled separately.
     
     If the IETF is working on IP1394 is there any additional work required 
     by the PWG?
     
     --------
     
     Regards,
     
     Alan Berkema
     Direct Connect Operation
     Hewlett Packard MS# 5558
     8000 Foothills Blvd
     Roseville Ca.
     95747
     [email-masked]
     916 785-5605
     916 785-5959 (fax)